Форум программистов, компьютерный форум CyberForum.ru
Наши страницы

Программирование Android

Войти
Регистрация
Восстановить пароль
 
Rube
911 / 559 / 88
Регистрация: 13.02.2014
Сообщений: 2,071
#1

Android-support-v4 и настройка Eclips - Программирование Android

22.08.2014, 09:19. Просмотров 910. Ответов 4
Метки нет (Все метки)

Перенес проект с дом. компа на рабочий, все работало нормально до определенного момента (видимо обновилось что либо где-то). Копировал на флеху, переносил на рабочий/домашний комп и т.д.
Потом Eclips поругался типа не совпадают версии библиотек appcompat и android-support-v4.
All versions of the libraries must be the same at this time
Обнаружил, что в проекте android-support-v4 633 кб, а в android-sdk\extras\android\support\v7\appcompat\libs\ 612 кб.
Можно скопировать одну на другую, правильно ли это? И какую из них?
А вопрос такой: нужно ли импортировать обе библиотеки android-support-v4 и android-support-v7-appcompat.jar и как это правильно делать? А то второй день не могу работать.
И еще при создании нового проекта у меня создается проект appcompat_v7_2 (3,4, и т.д.), это тоже косяк какой-то.
В Properties проекта:
вкладка Android - выбирать последнюю Android 4.4.2?
Library - если выбрана библиотека, ставить ли галку Is Library?
вкладка Java Build Path - там вообще все непонятно!
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
22.08.2014, 09:19
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Android-support-v4 и настройка Eclips (Программирование Android):

Android.support.v4.app.FragmentActivity не работает в Android Studio - Программирование Android
объясните пожалуйста,как в андроид студио добавить вышеуказанную библиотеку,чтобы работало у меня вот это Активити package...

Android.support.v7 - Программирование Android
Народ, помогите пожалуйста. Интелиж не видит android.support.v7.app.ActionBarActivity хотя в android sdk manager support скачан, в...

Android-support-v7 ошибка - Программирование Android
Добрый вечер, устанавливал google maps API для проекта. и случайно видимо обновился support вечером все работало нормально, после...

Идеология com.android.support:appcompat - Программирование Android
Немного не ясно назначение данной библиотеки. Насколько я понимаю, она нужна, чтобы новые прикольные графические фичи работали на...

Для чего нужен android.support.v4 - Программирование Android
Вопрос к знатокам: почему AS по умолчанию импортирует в проект классы из библиотеки поддержки? minSdk 19 (4.4). Еще просвятите плз -...

Как подключить com.android.support:design в Eclipse - Программирование Android
Доброго дня! Недавно вышла новая библиотека com.android.support:design - вопрос как её подключить в среде Eclipse? От куда...

4
CoolMind
419 / 402 / 65
Регистрация: 06.10.2012
Сообщений: 1,727
22.08.2014, 09:40 #2
Rube, я давненько не работал в Эклипс, но обычно сразу ищу ответы по сообщениям об ошибках в поисковике. Обычно в StackOverflow.com даются решения. Библиотеки support-v4 и support-v7 - разные, они поддерживают разные типы компонентов и нужны обе (раз уж у вас стоят упоминания о них в проекте). Возможно, что-то обновилось, возможно, какие-то настройки проекта неправильны. Я так мучался одно время в Android Studio, когда та обновилась. Тоже долго работал с настройками build.gradle.
0
7Alex
216 / 0 / 1
Регистрация: 24.06.2014
Сообщений: 144
22.08.2014, 10:12 #3
На днях столкнулся с той же проблемой. Решил так: импортировал со старой workspace Eclipse в новую все проекты. А потом скопировал содержимое папки (у меня она называется appcompat_v7) из старой workspace в новую в папку с таким же названием, ведь я импортировал все проекты перед этим и поэтому в новой workspace папка appcompat_v7 уже была. Ну а потом почистил все проекты и перезапустил Eclipse.
0
Rube
911 / 559 / 88
Регистрация: 13.02.2014
Сообщений: 2,071
22.08.2014, 12:56  [ТС] #4
CoolMind, в том то и дело, что я неделю искал ответы, а только вот теперь написал сюда.
делаю по туториалу http://developer.android.com/tools/s...ary/setup.html, но чего то видимо ранее я начудил, ошибки так и сыпятся, придется видимо копировать из дому Eclipse + SDK.
7Alex, хочется таки понять-разобраться с настройками.
0
CoolMind
419 / 402 / 65
Регистрация: 06.10.2012
Сообщений: 1,727
22.08.2014, 13:05 #5
Rube, http://stackoverflow.com/questions/1...ect-in-eclipse не помогла?
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
22.08.2014, 13:05
Привет! Вот еще темы с ответами:

Как в среде Eclipse подключить библиотеку android.support.v7 ? - Программирование Android
Здравствуйте! Подскажите, пожалуйста, как при программировании в среде Eclipse под андроид подключить библиотеку android.support.v7 ?

Android.support.v4.view.ViewPager одним xml+java файлом - Программирование Android
Пробую изучить примеры android.support.v4.view.ViewPager Нужно сделать (вместо длинющего активити с кучей кнопок) 3 "закладки"....

Ошибки android-support-v7 при создании нового проекта в Eclipse - Программирование Android
Приветствую Вас, форумчане! Возникла такая проблема, как я понял довольно распространенная. Установил Eclipse Mars. При создании нового...

Eclipse proguard public class android.support.v7.internal.widget.ActionBarView.HomeView - Программирование Android
Добрый день. Сейчас изучаю разработку под андроид. Споткнулся на следующей ошибке This class should be public...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
5
Yandex
Объявления
22.08.2014, 13:05
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru